Name:           kde-plasma-quickaccess
Version:        0.7.1
Release:        1%{?dist}
Summary:        Plasma applet for quick access to the most used folders

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://www.kde-look.org/content/show.php/QuickAccess?content=84128

Source0:       http://www.kde-look.org/CONTENT/content-files/84128-quickaccess-0.7.1.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdebase-workspace-devel >= 4.1.0
BuildRequires:  kdelibs-devel >= 4.1.0
BuildRequires:  kdebase-devel >= 4.1.0 

%description
QuickAccess is a small applet designed for the panel to have quick access
to the most used folders.


%prep
%setup -qn quickaccess-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_kde4_libdir}/kde4/plasma_applet_quickaccess.so
%{_kde4_datadir}/kde4/services/plasma-applet-quickaccess.desktop

%changelog
* Wed Sep 10 2008 Jaroslav Reznik <jreznik@redhat.com> 0.7.1-1
- Initial package